<template lang="pug">
    project(
      v-if="startProject"
      v-bind:template="template"
    )
</template>

<script>
import photosApi from '../../../api/photos'
import dataService from '../../../services/data'

export default {
  name: 'TemplatePage',
  layout: 'editor',
  data () {
    return {
      template: null,
      startProject: false
    }
  },
  asyncData ({ store }) {
    return new Promise(function (resolve) {
      store.dispatch('updateSEO', dataService.getSeo())
      resolve()
    })
  },
  mounted () {
    dataService.getUser()
      .then(user => {
        photosApi.getTemplate(this.$route.params.id)
          .then(template => {
            this.template = dataService.handleCollage(template)
            this.startProject = true
          })
          .catch(error => {
            this.$root.error({ statusCode: error.response ? error.response.status : 500 })
          })
      })
      .catch(error => {
        this.$root.error({ statusCode: error.response ? error.response.status : 500 })
      })
  }
}
</script>
